#!/usr/bin/env bash

stats_raw=`curl --connect-timeout 2 --max-time $API_TIMEOUT --silent --noproxy '*' http://127.0.0.1:$MINER_API_PORT/hive_status`
if [[ $? -eq 0  && -n $stats_raw ]]; then
  khs=`echo "$stats_raw" | jq -r '.total_khs'`
  stats=$stats_raw
else
  echo -e "${YELLOW}Failed to read $miner stats_raw from localhost:${MINER_API_PORT}${NOCOLOR}"
  khs=0
  stats={}
fi
